Viewing Issue Simple Details Jump to Notes ] Wiki ] View Advanced ] Issue History ] Print ]
ID Category Severity Reproducibility Date Submitted Last Update
0006978 [DCSS] Bug Report minor have not tried 2013-04-28 16:58 2014-05-28 07:08
Reporter morik View Status public  
Assigned To MarvinPA
Priority normal Resolution done  
Status closed   Product Branch 0.13 ancient branch
Summary 0006978: Zin polymorph protection message showed up, but I still polymorphed
Description The following doesn't seem right:

Duvessa zaps a wand.
 Zin protects your body from unnatural transformation!
 You turn into a spiny porcupine.
[bunch of melding messages follow]


If Zin protected me, why did I turn into a porcupine?

Looking at the "bool transform" function, it appears the intention is that no transformation occurs.
Additional Information
Tags No tags attached.
Attached Files

- Relationships

-  Notes
(0022482)
morik (reporter)
2013-04-28 16:59

And again:

Duvessa zaps a wand.
 Zin protects your body from unnatural transformation! x2
 You turn into a spiny porcupine.


This time I got the message twice... just in case that helps track down the caller.
(0024484)
MarvinPA (developer)
2013-11-24 18:37

This seems to have been fixed at some point or other.

- Issue History
Date Modified Username Field Change
2013-04-28 16:58 morik New Issue
2013-04-28 16:59 morik Note Added: 0022482
2013-11-24 18:37 MarvinPA Note Added: 0024484
2013-11-24 18:37 MarvinPA Status new => resolved
2013-11-24 18:37 MarvinPA Fixed in Branch => 0.14 development branch
2013-11-24 18:37 MarvinPA Resolution open => done
2013-11-24 18:37 MarvinPA Assigned To => MarvinPA
2014-05-28 07:08 morik Status resolved => closed


Mantis 1.1.8[^]
Copyright © 2000 - 2009 Mantis Group
Powered by Mantis Bugtracker